﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MDT.Models
{
    public class Vehicle
    {
        [Key]
        public int VehicleID { get; set; }

        public int UserID { get; set; }

        [Required]
        [StringLength(100)]
        public string Name { get; set; }

        [DisplayName("Vehicle Make")]
        public int MakeID { get; set; }

        [DisplayName("Vehicle Model")]
        public int ModelID { get; set; }

        [DisplayName("Color")]
        [Required]
        public int ColorID { get; set; }

        [Required]
        [StringLength(4)]
        public string StickerKey { get; set; }

        [DefaultValue(true)]
        public Boolean IsActive { get; set; }

        public virtual CarMake CarMake { get; set; }
        public virtual CarModel CarModel { get; set; }
        public virtual CarColor CarColor { get; set; }
    }

}